## octave-odepkg 0.6.0

=== DESCRIPTION ===
Name: OdePkg
Version: 0.6.0
Date: 2008-04-29
Author: Thomas Treichl
Maintainer: Thomas Treichl
Title: OdePkg.
Description: A package for solving differential equations with GNU Octave.
Categories: Differential Equations
Depends: octave (>= 3.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
