## octave-odepkg 0.6.6

=== DESCRIPTION ===
Name: OdePkg
Version: 0.6.6
Date: 2009-03-21
Author: Thomas Treichl
Maintainer: Thomas Treichl
Title: OdePkg.
Description: A package for solving ordinary differential equations and more. 
Categories: Differential Equations
Depends: octave (>= 3.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
