## octave-odepkg 0.6.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: OdePkg
-Version: 0.6.6
+Version: 0.6.7
 Date: 2009-03-21
 Author: Thomas Treichl
 Maintainer: Thomas Treichl
