=== src/Makefile ===
--- 
+++ 
@@ -9,10 +9,14 @@
 
 # MKOCTFILE = $(MKOCTFILE) has already been defined in Makeconf
 # MKMEXFILE = $(MKOCTFILE) --mex
-ifeq (fort77,$(findstring fort77,$(F77)))
+ifeq (gfortran,$(findstring gfortran,$(F77)))
+  MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
+endif
+ifeq (g95,$(findstring g95,$(F77)))
+  MKF77FILE = FFLAGS="-fstatic $(FFLAGS)" $(MKOCTFILE)
+else
+  # eg. the combination f2c with fort77
   MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
-else
-  MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
 endif
 
 EXTERNALDIRS  = hairer cash daskr
