=== debian/changelog ===
octave-odepkg (0.6.10-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571858)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump Standards-Version to 3.8.4, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Dropped patch fix-test (applied upstream)

 -- Thomas Weber <tweber@debian.org>  Sun, 16 May 2010 20:37:31 +0200

octave-odepkg (0.6.7-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Use debian/octave-odepkg.info and debian/octave-odepkg.docs for
    installation of documentation 
  * New patch: fix-test, taken from upstream SVN. Fixes a problem with NaN vs.
    Inf in the test suite.
  * Build-depend on texlive, to build PDF documentation

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 30 Dec 2009 23:14:47 +0100

octave-odepkg (0.6.6-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/patches/info-dir-section.diff: Changed this patch to add
    @dircategory and @direntry macros directly into the texinfo source
    file
  * debian/rules:
    + Build the odepkg.info file from the texinfo source and install it
      instead of inst/doc.info
    + Removed unneeded documentation source files, which get wrongly
      installed in /usr/share/doc
  * debian/clean: Remove odepkg.info, which is generated during package
    build

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:01:04 +0200

octave-odepkg (0.6.4-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 ( no changes needed)

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 20:26:59 +0200

octave-odepkg (0.6.4-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 ( no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 23:56:55 +0100

octave-odepkg (0.6.0-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Rafael Laboissiere ]
  * The source files dldfunref.texi, mfunref.texi, and odepkg.texi of the
    PDF and info documentation distributed with the package are now
    included in the upstream tarball.  This makes the package
    DFSG-compliant (really, closes: #468514)
  * debian/patches/info-dir-section.diff: Adjusted for new upstream release
  * debian/patches/makefile-distclean.diff: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 12:19:52 +0000

octave-odepkg (0.4.1-1) unstable; urgency=low

  * Initial release (closes: #468514)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 17 Feb 2008 16:01:04 +0100
