=== debian/control ===
Source: octave-odepkg
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), texlive
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/odepkg
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-odepkg.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-odepkg.git

Package: octave-odepkg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: solve differential equations and initial value problems in Octave
 This package provides a toolkit for Differential Equations and
 Initial Value Problems for Octave, a numerical computation software.
 It implements the Runge-Kutta, Hairer-Wanner and Cash BDF solvers of
 systems of differential equations.
 .
 This Octave add-on package is part of the Octave-Forge project.
