## octave-odepkg 0.6.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: OdePkg
-Version: 0.6.10
-Date: 2010-02-14
+Version: 0.6.12
+Date: 2011-04-08
 Author: Thomas Treichl
 Maintainer: Thomas Treichl
 Title: OdePkg.
