=== debian/changelog ===
octave-odepkg (0.6.12-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes required
  * New patch: build-pdf-documentation, helps building the pdf documentation

 -- Thomas Weber <tweber@debian.org>  Sat, 23 Apr 2011 15:41:22 +0200
