=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = octave-odepkg

build/$(pkg)::
	( cd doc ; make odepkg.info; make odepkg.pdf )
