## octave-odepkg 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: OdePkg
-Version: 0.6.12
-Date: 2011-04-08
+Version: 0.8.0
+Date: 2011-06-16
 Author: Thomas Treichl
 Maintainer: Thomas Treichl
 Title: OdePkg.
