=== debian/changelog ===
octave-odepkg (0.8.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.0
  * Do not build the PDF documentation, it is now included in the upstream
    tarball
  * Add upstream patch to fix the call to print_with_name
  * Add upstream patch to fix matlab-style possible short-circuit warning
  * Make header of patch info-dir-section.diff comply with DEP-3
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Bump to Standards-Version 3.9.3, no changes needed
  * Add Sébastien Villemot to the list of Uploaders
  * Put info file in Math section (the same section where Octave is)
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Tue, 13 Mar 2012 21:55:46 +0100
