=== src/Makefile ===
--- 
+++ 
@@ -19,6 +19,9 @@
   # eg. the combination f2c with fort77
   MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
 endif
+
+LAPACK_LIBS := $(shell mkoctfile -p BLAS_LIBS LAPACK_LIBS)
+FLIBS := $(shell mkoctfile -p FLIBS)
 
 EXTERNALDIRS  = hairer cash daskr
 EXTERNALPACKS = $(patsubst %, %.tgz,  $(EXTERNALDIRS))
@@ -44,7 +47,8 @@
 all : $(EXTERNALDIRS) $(SOLVEROCTFILE)
 
 $(SOLVEROCTFILE) : $(EXTERNALDIRS) $(SOLVEROBJECTS)
-	$(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE)
+	$(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE) \
+        $(LAPACK_LIBS) $(FLIBS) $(LAPACK_LIBS)
 
 install :
 	@$(INSTALL) -d $(DESTDIR)$(MPATH)/odepkg
