=== debian/changelog ===
octave-odepkg (0.8.2-2) unstable; urgency=low

  * Ensure that the "-fno-automatic" flag is passed to gfortran
    (Closes: #664797)

 -- Thomas Weber <tweber@debian.org>  Sun, 05 Aug 2012 21:39:05 +0200

octave-odepkg (0.8.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.2
  * debian/watch: Use the SourceForge redirector
  * Drop patch fix-call-to-print-with-name.patch (applied upstream)
  * Drop patch fix-short-circuit-warning.patch (applied upstream)

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 20 Apr 2012 18:49:23 +0000
