## octave-odepkg 0.8.4

=== DESCRIPTION ===
Name: OdePkg
Version: 0.8.4
Date: 2013-02-22
Author: Thomas Treichl <treichl@users.sourceforge.net>
Maintainer: Thomas Treichl <treichl@users.sourceforge.net>
Title: OdePkg
Description: A package for solving ordinary differential equations and more.
Categories: Differential Equations
Depends: octave (>= 3.2.0)
License: GPLv2+
Url: http://octave.sf.net
