=== src/Makefile ===
--- 
+++ 
@@ -9,19 +9,24 @@
 
 # MKOCTFILE = $(MKOCTFILE) has already been defined in Makeconf
 # MKMEXFILE = $(MKOCTFILE) --mex
-MKOCTFILE = mkoctfile
+MKOCTFILE ?= mkoctfile
+
+FFLAGS := $(shell $(MKOCTFILE) -p FFLAGS)
 ifeq (gfortran,$(findstring gfortran,$(F77)))
-  MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
+  FFLAGS := "-fno-automatic $(FFLAGS)"
 endif
 ifeq (g95,$(findstring g95,$(F77)))
-  MKF77FILE = FFLAGS="-fstatic $(FFLAGS)" $(MKOCTFILE)
-else
-  # eg. the combination f2c with fort77
-  MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
+  FFLAGS := "-fstatic $(FFLAGS)"
 endif
+MKF77FILE = FFLAGS=$(FFLAGS) $(MKOCTFILE)
 
-LAPACK_LIBS := $(shell mkoctfile -p BLAS_LIBS LAPACK_LIBS)
-FLIBS := $(shell mkoctfile -p FLIBS)
+ifndef LAPACK_LIBS
+LAPACK_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS) $(shell $(MKOCTFILE) -p LAPACK_LIBS)
+endif
+ifndef FLIBS
+FLIBS := $(shell $(MKOCTFILE) -p FLIBS)
+endif
+LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(FLIBS)
 
 EXTERNALDIRS  = hairer cash daskr
 EXTERNALPACKS = $(patsubst %, %.tgz,  $(EXTERNALDIRS))
@@ -47,8 +52,8 @@
 all : $(EXTERNALDIRS) $(SOLVEROCTFILE)
 
 $(SOLVEROCTFILE) : $(EXTERNALDIRS) $(SOLVEROBJECTS)
-	$(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE) \
-        $(LAPACK_LIBS) $(FLIBS) $(LAPACK_LIBS)
+	LFLAGS="$(LFLAGS)" $(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE) \
+        $(LAPACK_LIBS) $(FLIBS)
 
 install :
 	@$(INSTALL) -d $(DESTDIR)$(MPATH)/odepkg
