=== debian/changelog ===
octave-odepkg (0.8.4-2) unstable; urgency=low

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed
  * debian/patches/correct-fflags-for-f77.patch: New patch (Closes: 759741)

  [ Sébastien Villemot ]
  * Uploaders: set as Rafael Laboissiere.

 -- Thomas Weber <tweber@debian.org>  Tue, 02 Sep 2014 19:43:08 +0000

octave-odepkg (0.8.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.4
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Reflect upstream changes
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * debian/patches/pass_options_to_gfortran: Drop patch (applied upstream)
  * debian/patches/autoload-yes.patch: New patch
  * Do not install doc/odepkg.pdf (removed from upstream tarball)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 11:36:44 +0200
