=== debian/control ===
--- 
+++ 
@@ -2,14 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>    
-DM-Upload-Allowed: yes
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/odepkg
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-odepkg.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-odepkg.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-odepkg.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-odepkg.git
 
 Package: octave-odepkg
 Architecture: any
