## octave-odepkg 0.8.5

=== doc/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ifeq ($(MKDOC),)
 MKDOC = ../../../admin/mkdoc
 MKTEXI = ../../../admin/mktexi
-MAKEINFO = makeinfo --no-split
+MAKEINFO = makeinfo --no-split --document-language=en
 TEXI2DVI = texi2dvi --clean
 DVIPS = dvips
 LN_S = ln -s
