=== src/Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 FFLAGS := $(shell $(MKOCTFILE) -p FFLAGS)
 ifeq (gfortran,$(findstring gfortran,$(F77)))
-  FFLAGS := "-fno-automatic $(FFLAGS)"
+  FFLAGS := -fno-automatic $(FFLAGS)
 endif
 ifeq (g95,$(findstring g95,$(F77)))
-  FFLAGS := "-fstatic $(FFLAGS)"
+  FFLAGS := -fstatic $(FFLAGS)
 endif
-MKF77FILE = FFLAGS=$(FFLAGS) $(MKOCTFILE)
+MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
 
 ifndef LAPACK_LIBS
 LAPACK_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS) $(shell $(MKOCTFILE) -p LAPACK_LIBS)
@@ -58,6 +58,7 @@
 install :
 	@$(INSTALL) -d $(DESTDIR)$(MPATH)/odepkg
 
+.NOTPARALLEL:
 $(EXTERNALDIRS) :
 	@for i in $(EXTERNALPACKS); do \
 	  echo "Unpacking external packages: $$i"; \
