=== debian/changelog ===
octave-odepkg (0.8.5-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:36:48 -0200

octave-odepkg (0.8.5-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:19 -0200

octave-odepkg (0.8.5-3) unstable; urgency=medium

  * d/p/nan-unit-test-calcmescd.patch: New patch.
    Fix failing unit test, avoing the package to FTBFS with
    octave-pkg-dev 1.5.0. (Closes: #874143)
  * d/control: Bump Standards-Version to 4.1.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 11 Sep 2017 06:33:04 -0300

octave-odepkg (0.8.5-2) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/p/octave-4.2.patch: new patch, fixes compilation against Octave 4.2.
    (Closes: #867117)
  * Build and install HTML and PDF doc.
  * Register HTML, PDF and Info doc into doc-base.
  * Bump to debhelper compat level 10.
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * d/rules: support "nodoc" flag of DEB_BUILD_OPTIONS.
  * d/control:
    + Bump Standards-Version to 4.0.0.
    + Remove unneeded versioned dependency on octave-pkg-dev.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jul 2017 11:24:20 +0200

octave-odepkg (0.8.5-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.5
  * d/copyright: Reflect upstream changes
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * show-progress-in-rodas.patch: New patch
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/p/correct-fflags-for-f77.patch: Refresh for new upstream version

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 18:19:46 +0200
