=== debian/control ===
Source: octave-odepkg
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave,
               texinfo,
               texlive
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-odepkg
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-odepkg.git
Homepage: http://octave.sourceforge.net/odepkg
Testsuite: autopkgtest-pkg-octave

Package: octave-odepkg
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${octave:Depends}
Description: solve differential equations and initial value problems in Octave
 This package provides a toolkit for Differential Equations and
 Initial Value Problems for Octave, a numerical computation software.
 It implements the Runge-Kutta, Hairer-Wanner and Cash BDF solvers of
 systems of differential equations.
 .
 This Octave add-on package is part of the Octave-Forge project.
